<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_dd45fa0d6586a" . "b8e73f6f6f116b" . "1a970" => base64_decode("cHJl" . "dl91" . "c2Vy" . "X2lk"), "_b070ffda70d673baa2ab" . "1a4ca13c254c" => base64_decode("cHJldl91" . "c2VybmFt" . "ZQ=="), "user_" . "id" => base64_decode("dXN" . "lcl" . "9pZ" . "A=="), "_539cf4259a149ca9dbb739b2" . "cdb7c608" => base64_decode("ZW1ha" . "WxfYW" . "RkcmV" . "zcw=="), "_5439477835f9c7cc26a988" . "f88cb19553" => base64_decode("cHJldl9" . "mdWxsX2" . "5hbWU="), "_eb6cb462373" . "5c07195e9373" . "5d659236d" => base64_decode("cHJldl9lbWFpbF9" . "hZGRyZXNz"), "_8cca4dd3" . "4e20c5344" . "bb2a30f25" . "33c4e5" => base64_decode("ZnVs" . "bF9u" . "YW1l"), "con" . "tex" . "t" => base64_decode("Y29u" . "dGV4" . "dA=="), "_28c85ce81fee6532980262893" . "b6f2425" => base64_decode("dXNlcm" . "5hbWU="), "_baec81a782bb3d538" . "149a9225688246e" => base64_decode("ZXZlbn" . "Rfc291" . "cmNl"));
use Claromentis\Core\Event\GenericEvent;
use Claromentis\Core\Security\SecurityContext;
use InvalidArgumentException;









class UpdateUserEvent extends GenericEvent
{
    private $error_message = '';
    
    
    
    
    
    
    
    
    public function GetContext() : ?SecurityContext
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["conte" . "xt"]) ? $this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["co" . "nt" . "ex" . "t"]) : null;
    }
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["us" . "er" . "_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_8cca4dd34e20c5344b" . "b2a30f2533c4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_28c85ce81fee6532" . "980262893b6f2425"]);
    }
    
    
    
    
    public function GetEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_539cf4259a149ca9dbb739b2cdb" . "7c608"]);
    }
    
    
    
    
    public function GetPrevUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_dd45fa0d6586ab8e73f6f6f11" . "6b1a970"]);
    }
    
    
    
    
    public function GetPrevFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_5439477835f9c7c" . "c26a988f88cb1955" . "3"]);
    }
    
    
    
    
    public function GetPrevUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_b070ffda70d673baa2ab1a4ca13c2" . "54c"]);
    }
    
    
    
    
    public function GetPrevEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_eb6cb462373" . "5c07195e9373" . "5d659236d"]);
    }
    
    
    
    
    
    
    
    
    public function GetEventSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_baec81a782bb3d5" . "38149a9225688246" . "e"]);
    }
    
    
    
    
    
    
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
    
    
    
    
    
    
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
}